-- Music

bgMusic = nil

local function backround_music()
    bgMusic = gSmashArenas[gGlobalSyncTable.currentLevel].mus.audio
    local trackPos = audio_stream_get_position(bgMusic)
    local loop = gSmashArenas[gGlobalSyncTable.currentLevel].mus.loopEnd
    local loopOffset = gSmashArenas[gGlobalSyncTable.currentLevel].mus.loopOffset

    audio_stream_play(bgMusic, false, 1)

    if trackPos > loop then
        audio_stream_set_position(bgMusic, trackPos+loopOffset)
    end
end

function music_update()
    if (gSmashArenas[gGlobalSyncTable.currentLevel].mus ~= nil and gGlobalSyncTable.gameState == GAME_STATE_FIGHTING) then
        stop_background_music(get_current_background_music())

        backround_music()
    else
        if bgMusic ~= nil then
            audio_stream_stop(bgMusic)
            audio_stream_set_position(bgMusic, 0)
        end
        bgMusic = nil
    end
end